Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.util
Class Utilities

    java.lang.Object
      net.sourceforge.pebble.util.Utilities

    public class Utilities

extends java.lang.Object

Utilities for the current blog, such as those useful for moving between versions of Pebble.

Author:
  Simon Brown

Constructor Summary
`Utilities()`

Method Summary
`static void` | `buildIndexes(Blog blog)` Builds the indexes for the given blog.
`static void` | `buildIpAddressLists(Blog blog)` Builds the blacklist and whitelist of IP addresses from all responses for the given blog.
`static void` | `convertCategories(Blog blog)` Converts flat categories to hierarchical categories.
`static void` | `fixHtmlInResponses(Blog blog)` Fixes HTML escaping of comment and TrackBack content for the given blog.
`static void` | `main(java.lang.String[] args)`
`static void` | `moveBlogEntriesFromCategory(Blog blog, Category from, Category to)` Moves blog entries from one category to another.
`static void` | `resetPlugins(Blog blog)` Resets the plugins back to their defaults.
`static void` | `resetTheme(Blog blog)` Resets the theme of a blog to "default".
`static void` | `restoreTheme(Blog blog, java.lang.String themeName)` Blasts the blog specific theme and overwrites it with the default theme.
`static void` | `restructureBlogToGMT(Blog blog)` Moves blog entries from one category to another.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utilities

    public Utilities()

Method Detail

### buildIndexes

    public static void buildIndexes(Blog blog)

  Builds the indexes for the given blog.

  Parameters:
    `blog` - a Blog instance

### buildIpAddressLists

    public static void buildIpAddressLists(Blog blog)

  Builds the blacklist and whitelist of IP addresses from all responses for the given blog.

  Parameters:
    `blog` - a Blog instance

### fixHtmlInResponses

    public static void fixHtmlInResponses(Blog blog)

  Fixes HTML escaping of comment and TrackBack content for the given blog.

  Parameters:
    `blog` - a Blog instance

### convertCategories

    public static void convertCategories(Blog blog)

  Converts flat categories to hierarchical categories.

  Parameters:
    `blog` - a Blog instance

### moveBlogEntriesFromCategory

    public static void moveBlogEntriesFromCategory(Blog blog,
                                                   Category from,
                                                   Category to)

  Moves blog entries from one category to another.

  Parameters:
    `blog` - a Blog instance

### resetTheme

    public static void resetTheme(Blog blog)

  Resets the theme of a blog to "default".

### restoreTheme

    public static void restoreTheme(Blog blog,
                                    java.lang.String themeName)

  Blasts the blog specific theme and overwrites it with the default theme.

### resetPlugins

    public static void resetPlugins(Blog blog)

  Resets the plugins back to their defaults.

### restructureBlogToGMT

    public static void restructureBlogToGMT(Blog blog)

  Moves blog entries from one category to another.

  Parameters:
    `blog` - a Blog instance

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.